package mt

import (
	"f5"
	"main/mtb"
)

type Config struct {
	mtb.Config
}

type ConfigTable struct {
	f5.IdMetaTable[Config]
	selfConf *Config
}

func (this *ConfigTable) GetGameSApiUrl() string {
	return this.selfConf.GetGamesapiUrl()
}

func (this *ConfigTable) GetSecretKey() string {
	return this.selfConf.GetSecretKey()
}

func (this *ConfigTable) GetMaxConcurrentNum() int32 {
	return this.selfConf.GetMaxConcurrentNum()
}

func (this *ConfigTable) GetRedirectSecretKey() string {
	return this.selfConf.GetRedirectSecretKey()
}

func (this *ConfigTable) PostInit1() {
	this.selfConf = this.GetById(int64(0))
	if this.selfConf == nil {
		panic("gamesapi config无法读取本服配置")
	}
}
