package mt

import (
	"f5"
)

type table struct {
	GamesapiCluster *GamesapiClusterTable
	Config          *ConfigTable
}

var Table = f5.New(func(this *table) {
	this.GamesapiCluster = f5.New(func(this *GamesapiClusterTable) {
		this.FileName = "../config/gamesapi.cluster.json"
		this.PrimKey = "instance_id"
	})

	this.Config = f5.New(func(this *ConfigTable) {
		this.FileName = "../config/config.json"
		this.PrimKey = ""
	})
})
