package task

import (
)

type taskMgr struct {
	webHook
	repairNft
	sysMail
	repairOrder
	refreshMeta
	contribution
	chainActivity
	recharge
}

func (this *taskMgr) Init() {
	this.webHook.init()
	this.repairNft.init()
	this.sysMail.init()
	this.repairOrder.init()
	//this.refreshMeta.init()
	this.contribution.init()
	this.chainActivity.init()
	this.recharge.init()
}

func (this *taskMgr) UnInit() {
	this.recharge.unInit()
	this.chainActivity.unInit()
	this.contribution.unInit()
	//this.refreshMeta.unInit()
	this.repairOrder.unInit()
	this.sysMail.unInit()
	this.repairNft.unInit()
	this.webHook.unInit()
}
